Page tree
Skip to end of metadata
Go to start of metadata

 

Description

This function determines whether a branch qualifies for Long-Term Support (LTS). For more information about LTS, read our cPanel Long-Term Support documentation.

Examples


 JSON API
https://hostname.example.com:2087/cpsess##########/json-api/get_lts_wexpire?api.version=1
 XML API
https://hostname.example.com:2087/cpsess##########/xml-api/get_lts_wexpire?api.version=1
 Command Line
whmapi1 get_lts_wexpire

Notes:

  • You must URI-encode values.
  • For more information and additional output options, read our Guide to WHM API 1 documentation or run the whmapi1 --help command. 
  • We introduced this functionality in cPanel & WHM version 11.52.0.8.

 Output (JSON)
{  
   "tiers":{  
      "60":[  
         {  
            "is_lts":0,
            "named":[  
               "CURRENT"
            ],
            "build":"11.60.0.35",
            "expires":1473112978
         },
         {  
            "is_lts":0,
            "named":[  
               "EDGE"
            ],
            "build":"11.60.0.10",
            "expires":1477112978
         }
      ],
      "56":[  
         {  
            "is_lts":0,
            "build":"11.56.0.35",
            "expires":1473112978
         }
      ],
      "58":[  
         {  
            "is_lts":1,
            "named":[  
               "STABLE",
               "RELEASE"
            ],
            "build":"11.58.0.32",
            "expires":1474112978
         }
      ],
      "62":[  
         {  
            "is_lts":0,
            "build":"11.61.9999.21",
            "expires":1477312978
         }
      ]
   }
} 
 Output (XML)
<data>
    <name>tiers</name>
    <56>
      <build>11.56.0.35</build>
      <expires>1473112978</expires>
      <is_lts>0</is_lts>
      <named>CURRENT</named>
    </56>
    <58>
      <build>11.58.0.32</build>
      <expires>1474112978</expires>
      <is_lts>1</is_lts>
      <named>STABLE</named>
      <named>RELEASE</named>
    </58>
    <60>
      <build>11.60.0.10</build>
      <expires>1477112978</expires>
      <is_lts>0</is_lts>
      <named>EDGE</named>
    </60>
    <62>
      <build>11.61.9999.21</build>
      <expires>1477312978</expires>
      <is_lts>0</is_lts>
    </62>
  </data>
  <metadata>
    <command>get_lts_wexpire</command>
    <reason>OK</reason>
    <result>1</result>
    <version>1</version>
  </metadata>    

Note:

This API function does not output valid XML and may fail to load.

Note:

Use WHM's API Shell interface (Home >> Development >> API Shell) to directly test WHM API calls.

   

Parameters

This function does not accept parameters.


Returns

ReturnTypeDescriptionPossible ValuesExample

tiers

hashA hash of tier options.This hash includes the versionnumber array of hashes. 

versionnumber

array of hashes

A Tiers version number.

Note:

This return's name is the version number.

The function returns this value in the tiers hash.

This array of hashes includes the is_lts, build, and expires returns and the named array.

 

is_lts

Boolean

Whether the version qualifies for LTS.

The function returns this value in the versionnumber array.

  • 1 — Long-term support.
  • 0 — No Long-term support.

0

named

array

The status of a release tier, if applicable.

The function returns this value in the versionnumber array.

  • EDGE
  • CURRENT
  • RELEASE
  • STABLE
CURRENT

build

string

The build version number.

The function returns this value in the versionnumber array.

A valid build version number.

11.60.0.35

expires

integer

When support for the build version expires.

The function returns this value in the versionnumber array.

A valid date, in Unix time format.

1473112978